com.google.gwt.core.ext.typeinfo

## Interface JGenericType

All Superinterfaces:
  HasAnnotations, HasTypeParameters, JClassType, JRealClassType, JType

    public interface JGenericType
    extends JRealClassType, HasTypeParameters

Type declaration that has type parameters.

### Method Summary

All Methods Instance Methods Abstract Methods
`JParameterizedType` `asParameterizedByWildcards()`
`JRawType` `getRawType()` Returns the raw type for this generic type.

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JRealClassType

`getLastModifiedTime`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JClassType

`asParameterizationOf, findAnnotationInTypeHierarchy, findConstructor, findField, findMethod, findNestedType, getConstructor, getConstructors, getEnclosingType, getErasedType, getField, getFields, getFlattenedSupertypeHierarchy, getImplementedInterfaces, getInheritableMethods, getMethod, getMethods, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethods, getPackage, getSubtypes, getSuperclass, isAbstract, isAssignableFrom, isAssignableTo, isDefaultInstantiable, isEnhanced, isFinal, isMemberType, isPackageProtected, isPrivate, isProtected, isPublic, isStatic, setEnhanced`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JType

`getJNISignature, getLeafType, getParameterizedQualifiedSourceName, getQualifiedBinaryName, getQualifiedSourceName, getSimpleSourceName, isAnnotation, isArray, isClass, isClassOrInterface, isEnum, isGenericType, isInterface, isParameterized, isPrimitive, isRawType, isTypeParameter, isWildcard`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasTypeParameters

`getTypeParameters`

### Method Detail

#### asParameterizedByWildcards

    JParameterizedType asParameterizedByWildcards()

#### getRawType

    JRawType getRawType()

Returns the raw type for this generic type. The raw type removes all 'generics' information from the class. i.e. `void a1(List<T>)` & `void a2(List<String>)` becomes `void a1(List)` & `void a2(List))` respectively.